/*
 * Copyright (c) 2015-2017, Parallels International GmbH
 *
 * This file is part of Virtuozzo Core Libraries. Virtuozzo Core
 * Libraries is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <http://www.gnu.org/licenses/> or write to Free Software Foundation,
 * 51 Franklin Street, Fifth Floor Boston, MA 02110, USA.
 *
 * Our contact details: Parallels International GmbH, Vordergasse 59, 8200
 * Schaffhausen, Switzerland.
 */

#include <QString>

static QString g_text[] = {
	QString("domain"),
	QString("unsignedInt"),
	QString("unsignedLong"),
	QString("hexuint"),
	QString("positiveInteger"),
	QString("octalMode"),
	QString("uint8range"),
	QString("data7"),
	QString("uint8range8"),
	QString("data9"),
	QString("uint8range10"),
	QString("uint24range"),
	QString("data12"),
	QString("uint24range13"),
	QString("data14"),
	QString("uint24range15"),
	QString("UUID"),
	QString("data17"),
	QString("UUID18"),
	QString("data19"),
	QString("UUID20"),
	QString("pciaddress"),
	QString("pciDomain"),
	QString("bus"),
	QString("pciBus"),
	QString("slot"),
	QString("pciSlot"),
	QString("function"),
	QString("pciFunc"),
	QString("multifunction"),
	QString("virOnOff"),
	QString("uniMacAddr"),
	QString("multiMacAddr"),
	QString("macAddr"),
	QString("duidLLT"),
	QString("duidEN"),
	QString("duidLL"),
	QString("duidUUID"),
	QString("DUID"),
	QString("DUID39"),
	QString("DUID40"),
	QString("DUID41"),
	QString("DUID42"),
	QString("ipv4Addr"),
	QString("ipv6Addr"),
	QString("ipAddr"),
	QString("ipAddr46"),
	QString("ipAddr47"),
	QString("ipv4Prefix"),
	QString("ipv6Prefix"),
	QString("ipPrefix"),
	QString("ipPrefix51"),
	QString("ipPrefix52"),
	QString("genericName"),
	QString("dnsName"),
	QString("deviceName"),
	QString("filePath"),
	QString("dirPath"),
	QString("absFilePath"),
	QString("absDirPath"),
	QString("unit"),
	QString("scaledInteger"),
	QString("wwn"),
	QString("cpuset"),
	QString("volName"),
	QString("archnames"),
	QString("aarch64"),
	QString("alpha"),
	QString("armv7l"),
	QString("cris"),
	QString("i686"),
	QString("ia64"),
	QString("lm32"),
	QString("m68k"),
	QString("microblaze"),
	QString("microblazeel"),
	QString("mips"),
	QString("mipsel"),
	QString("mips64"),
	QString("mips64el"),
	QString("openrisc"),
	QString("parisc"),
	QString("parisc64"),
	QString("ppc"),
	QString("ppc64"),
	QString("ppcemb"),
	QString("s390"),
	QString("s390x"),
	QString("sh4"),
	QString("sh4eb"),
	QString("sparc"),
	QString("sparc64"),
	QString("unicore32"),
	QString("x86_64"),
	QString("xtensa"),
	QString("xtensaeb"),
	QString("PortNumber"),
	QString("sourceinfoadapter"),
	QString("adapter"),
	QString("type"),
	QString("scsi_host"),
	QString("name"),
	QString("variant102"),
	QString("parentaddr"),
	QString("unique_id"),
	QString("address"),
	QString("variant106"),
	QString("choice107"),
	QString("adapter108"),
	QString("fc_host"),
	QString("parent"),
	QString("wwnn"),
	QString("wwpn"),
	QString("adapter113"),
	QString("isaaddress"),
	QString("iobase"),
	QString("irq"),
	QString("link-speed-state"),
	QString("link"),
	QString("speed"),
	QString("state"),
	QString("unknown"),
	QString("notpresent"),
	QString("down"),
	QString("lowerlayerdown"),
	QString("testing"),
	QString("dormant"),
	QString("up"),
	QString("virYesNo"),
	QString("yes"),
	QString("no"),
	QString("on"),
	QString("off"),
	QString("encryption"),
	QString("format"),
	QString("default"),
	QString("qcow"),
	QString("secret"),
	QString("passphrase"),
	QString("uuid"),
	QString("compat"),
	QString("ownValue"),
	QString("fileFormatFeatures"),
	QString("features"),
	QString("lazy_refcounts"),
	QString("storageFormatBacking"),
	QString("cow"),
	QString("qcow2"),
	QString("qed"),
	QString("vmdk"),
	QString("storageFormat"),
	QString("raw"),
	QString("dir"),
	QString("bochs"),
	QString("cloop"),
	QString("dmg"),
	QString("iso"),
	QString("vpc"),
	QString("vdi"),
	QString("fat"),
	QString("vhd"),
	QString("storageFormat161"),
	QString("storageStartupPolicy"),
	QString("storageSourceExtra"),
	QString("virtualPortProfileID"),
	QString("virtualPortProfile"),
	QString("virtualport"),
	QString("802.1Qbg"),
	QString("parameters"),
	QString("managerid"),
	QString("typeid"),
	QString("typeidversion"),
	QString("instanceid"),
	QString("virtualPortProfile173"),
	QString("802.1Qbh"),
	QString("profileid"),
	QString("virtualPortProfile176"),
	QString("openvswitch"),
	QString("interfaceid"),
	QString("virtualPortProfile179"),
	QString("virtualPortProfile180"),
	QString("bandwidth"),
	QString("inbound"),
	QString("bandwidth-attributes"),
	QString("outbound"),
	QString("average"),
	QString("peak"),
	QString("floor"),
	QString("burst"),
	QString("BurstSize"),
	QString("unsignedShort"),
	QString("protocol"),
	QString("addr-family"),
	QString("vlan"),
	QString("trunk"),
	QString("tag"),
	QString("id"),
	QString("nativeMode"),
	QString("tagged"),
	QString("untagged"),
	QString("port"),
	QString("description"),
	QString("title"),
	QString("hvs"),
	QString("ids"),
	QString("cpu"),
	QString("sysinfo"),
	QString("os"),
	QString("clock"),
	QString("resources"),
	QString("events"),
	QString("pm"),
	QString("idmap"),
	QString("devices"),
	QString("seclabel"),
	QString("qemucmdline"),
	QString("model"),
	QString("dynamic"),
	QString("relabel"),
	QString("label"),
	QString("imagelabel"),
	QString("baselabel"),
	QString("seclabel222"),
	QString("static"),
	QString("seclabel224"),
	QString("none"),
	QString("seclabel226"),
	QString("devSeclabel"),
	QString("seclabel228"),
	QString("labelskip"),
	QString("seclabel230"),
	QString("seclabel231"),
	QString("qemu"),
	QString("kqemu"),
	QString("kvm"),
	QString("xen"),
	QString("lxc"),
	QString("uml"),
	QString("openvz"),
	QString("test"),
	QString("vmware"),
	QString("hyperv"),
	QString("vbox"),
	QString("phyp"),
	QString("parallels"),
	QString("bhyve"),
	QString("osxen"),
	QString("os247"),
	QString("oshvm"),
	QString("os249"),
	QString("osexe"),
	QString("os251"),
	QString("bootloader"),
	QString("ostypexen"),
	QString("osbootkernel"),
	QString("osxen255"),
	QString("osxen256"),
	QString("ostypehvm"),
	QString("loader"),
	QString("readonly"),
	QString("rom"),
	QString("pflash"),
	QString("nvram"),
	QString("template"),
	QString("osbootdev"),
	QString("bootmenu"),
	QString("enable"),
	QString("timeout"),
	QString("smbios"),
	QString("bios"),
	QString("arch"),
	QString("machine"),
	QString("xenpv"),
	QString("xenner"),
	QString("linux"),
	QString("hvmx86"),
	QString("variant276"),
	QString("hvmmips"),
	QString("variant278"),
	QString("hvmsparc"),
	QString("variant280"),
	QString("hvmppc"),
	QString("variant282"),
	QString("hvmppc64"),
	QString("variant284"),
	QString("hvms390"),
	QString("variant286"),
	QString("hvmarm"),
	QString("variant288"),
	QString("hvmaarch64"),
	QString("variant290"),
	QString("choice291"),
	QString("hvm"),
	QString("sun4m"),
	QString("g3beige"),
	QString("mac99"),
	QString("prep"),
	QString("ppce500"),
	QString("pseries"),
	QString("s390-virtio"),
	QString("s390-ccw"),
	QString("s390-ccw-virtio"),
	QString("exe"),
	QString("init"),
	QString("initarg"),
	QString("domainName"),
	QString("uid"),
	QString("start"),
	QString("target"),
	QString("count"),
	QString("gid"),
	QString("memory"),
	QString("dumpCore"),
	QString("maxMemory"),
	QString("slots"),
	QString("currentMemory"),
	QString("memoryBacking"),
	QString("hugepages"),
	QString("page"),
	QString("size"),
	QString("nodeset"),
	QString("nosharepages"),
	QString("locked"),
	QString("vcpu"),
	QString("placement"),
	QString("auto"),
	QString("current"),
	QString("countCPU"),
	QString("vcpus"),
	QString("enabled"),
	QString("hotpluggable"),
	QString("order"),
	QString("iothreads"),
	QString("blkiotune"),
	QString("memtune"),
	QString("cputune"),
	QString("numatune"),
	QString("respartition"),
	QString("weight"),
	QString("device"),
	QString("path"),
	QString("read_iops_sec"),
	QString("write_iops_sec"),
	QString("read_bytes_sec"),
	QString("write_bytes_sec"),
	QString("hard_limit"),
	QString("soft_limit"),
	QString("min_guarantee"),
	QString("swap_hard_limit"),
	QString("shares"),
	QString("cpushares"),
	QString("global_period"),
	QString("cpuperiod"),
	QString("global_quota"),
	QString("cpuquota"),
	QString("period"),
	QString("quota"),
	QString("emulator_period"),
	QString("emulator_quota"),
	QString("vcpupin"),
	QString("vcpuid"),
	QString("emulatorpin"),
	QString("iothreadpin"),
	QString("iothread"),
	QString("mode"),
	QString("strict"),
	QString("preferred"),
	QString("interleave"),
	QString("memory368"),
	QString("memory369"),
	QString("memnode"),
	QString("cellid"),
	QString("resource"),
	QString("partition"),
	QString("offset"),
	QString("localtime"),
	QString("utc"),
	QString("adjustment"),
	QString("timeDelta"),
	QString("adjustment379"),
	QString("reset"),
	QString("clock381"),
	QString("timezone"),
	QString("timeZone"),
	QString("clock384"),
	QString("variable"),
	QString("basis"),
	QString("clock387"),
	QString("timer"),
	QString("platform"),
	QString("rtc"),
	QString("track"),
	QString("boot"),
	QString("guest"),
	QString("wall"),
	QString("tickpolicy"),
	QString("timer396"),
	QString("tsc"),
	QString("frequency"),
	QString("native"),
	QString("emulate"),
	QString("paravirt"),
	QString("smpsafe"),
	QString("timer403"),
	QString("hpet"),
	QString("pit"),
	QString("timer406"),
	QString("kvmclock"),
	QString("hypervclock"),
	QString("timer409"),
	QString("present"),
	QString("delay"),
	QString("merge"),
	QString("discard"),
	QString("tickpolicy414"),
	QString("catchup"),
	QString("threshold"),
	QString("slew"),
	QString("limit"),
	QString("tickpolicy419"),
	QString("bootloader420"),
	QString("bootloader_args"),
	QString("kernel"),
	QString("initrd"),
	QString("root"),
	QString("cmdline"),
	QString("dtb"),
	QString("dev"),
	QString("hd"),
	QString("fd"),
	QString("cdrom"),
	QString("network"),
	QString("diskspec"),
	QString("diskDriver"),
	QString("diskMirror"),
	QString("diskAuth"),
	QString("deviceBoot"),
	QString("shareable"),
	QString("transient"),
	QString("serial"),
	QString("diskSerial"),
	QString("diskIoTune"),
	QString("alias"),
	QString("geometry"),
	QString("diskBlockIo"),
	QString("vendor"),
	QString("product"),
	QString("snapshot"),
	QString("internal"),
	QString("external"),
	QString("lease"),
	QString("lockspace"),
	QString("key"),
	QString("startupPolicy"),
	QString("mandatory"),
	QString("requisite"),
	QString("optional"),
	QString("disk"),
	QString("floppy"),
	QString("disk459"),
	QString("lun"),
	QString("rawIO"),
	QString("sgio"),
	QString("filtered"),
	QString("unfiltered"),
	QString("disk465"),
	QString("diskSource"),
	QString("diskBackingChain"),
	QString("diskBackingStore"),
	QString("diskBackingChain469"),
	QString("diskBackingStoreLast"),
	QString("diskBackingChain471"),
	QString("backingStore"),
	QString("index"),
	QString("diskFormat"),
	QString("diskSourceBlock"),
	QString("diskSource476"),
	QString("diskSourceDir"),
	QString("diskSource478"),
	QString("diskSourceNetwork"),
	QString("diskSource480"),
	QString("diskSourceVolume"),
	QString("diskSource482"),
	QString("diskSourceFile"),
	QString("diskSource484"),
	QString("file"),
	QString("source"),
	QString("block"),
	QString("nbd"),
	QString("rbd"),
	QString("sheepdog"),
	QString("gluster"),
	QString("iscsi"),
	QString("http"),
	QString("https"),
	QString("ftp"),
	QString("ftps"),
	QString("tftp"),
	QString("host"),
	QString("transport"),
	QString("tcp"),
	QString("rdma"),
	QString("name502"),
	QString("name503"),
	QString("host504"),
	QString("unix"),
	QString("socket"),
	QString("host507"),
	QString("volume"),
	QString("pool"),
	QString("direct"),
	QString("diskTarget"),
	QString("ide"),
	QString("fdc"),
	QString("scsi"),
	QString("virtio"),
	QString("usb"),
	QString("sata"),
	QString("sd"),
	QString("tray"),
	QString("open"),
	QString("closed"),
	QString("removable"),
	QString("cyls"),
	QString("heads"),
	QString("secs"),
	QString("trans"),
	QString("lba"),
	QString("blockio"),
	QString("logical_block_size"),
	QString("physical_block_size"),
	QString("driver"),
	QString("driverFormat"),
	QString("driverCache"),
	QString("driverErrorPolicy"),
	QString("driverRerrorPolicy"),
	QString("driverIO"),
	QString("ioeventfd"),
	QString("event_idx"),
	QString("copy_on_read"),
	QString("driverIOThread"),
	QString("type541"),
	QString("aio"),
	QString("cache"),
	QString("writeback"),
	QString("writethrough"),
	QString("directsync"),
	QString("unsafe"),
	QString("error_policy"),
	QString("stop"),
	QString("report"),
	QString("ignore"),
	QString("enospace"),
	QString("rerror_policy"),
	QString("io"),
	QString("threads"),
	QString("unmap"),
	QString("controller"),
	QString("ccid"),
	QString("variant559"),
	QString("buslogic"),
	QString("lsilogic"),
	QString("lsisas1068"),
	QString("vmpvscsi"),
	QString("ibmvscsi"),
	QString("virtio-scsi"),
	QString("lsisas1078"),
	QString("hv-scsi"),
	QString("variant568"),
	QString("piix3-uhci"),
	QString("piix4-uhci"),
	QString("ehci"),
	QString("ich9-ehci1"),
	QString("ich9-uhci1"),
	QString("ich9-uhci2"),
	QString("ich9-uhci3"),
	QString("vt82c686b-uhci"),
	QString("pci-ohci"),
	QString("nec-xhci"),
	QString("usbmaster"),
	QString("variant580"),
	QString("pci"),
	QString("pci-root"),
	QString("pcie-root"),
	QString("pcihole64"),
	QString("variant585"),
	QString("pci-bridge"),
	QString("dmi-to-pci-bridge"),
	QString("variant588"),
	QString("choice589"),
	QString("variant590"),
	QString("virtio-serial"),
	QString("ports"),
	QString("vectors"),
	QString("variant594"),
	QString("choice595"),
	QString("queues"),
	QString("cmd_per_lun"),
	QString("max_sectors"),
	QString("filesystem"),
	QString("fsDriver"),
	QString("filesystem601"),
	QString("filesystem602"),
	QString("mount"),
	QString("filesystem604"),
	QString("bind"),
	QString("filesystem606"),
	QString("filesystem607"),
	QString("ram"),
	QString("usage"),
	QString("units"),
	QString("filesystem611"),
	QString("accessmode"),
	QString("passthrough"),
	QString("mapped"),
	QString("squash"),
	QString("space_hard_limit"),
	QString("space_soft_limit"),
	QString("handle"),
	QString("loop"),
	QString("wrpolicy"),
	QString("immediate"),
	QString("interface"),
	QString("bridge"),
	QString("interface-options"),
	QString("interface625"),
	QString("ethernet"),
	QString("interface627"),
	QString("vhostuser"),
	QString("server"),
	QString("client"),
	QString("interface631"),
	QString("portgroup"),
	QString("interface633"),
	QString("bridgeMode"),
	QString("interface635"),
	QString("user"),
	QString("interface637"),
	QString("interface638"),
	QString("mcast"),
	QString("mac"),
	QString("interface641"),
	QString("interface642"),
	QString("hostdev"),
	QString("managed"),
	QString("missing"),
	QString("usbproduct"),
	QString("usbaddress"),
	QString("source648"),
	QString("address649"),
	QString("usbAddr"),
	QString("usbPort"),
	QString("address652"),
	QString("source653"),
	QString("interface654"),
	QString("actual"),
	QString("ip"),
	QString("family"),
	QString("prefix"),
	QString("script"),
	QString("backend"),
	QString("tap"),
	QString("vhost"),
	QString("vfio"),
	QString("driver664"),
	QString("txmode"),
	QString("driver666"),
	QString("csum"),
	QString("gso"),
	QString("tso4"),
	QString("tso6"),
	QString("ecn"),
	QString("ufo"),
	QString("filterref"),
	QString("filterref-node-attributes"),
	QString("tune"),
	QString("sndbuf"),
	QString("emulator"),
	QString("graphic"),
	QString("graphics"),
	QString("sdl"),
	QString("display"),
	QString("xauth"),
	QString("fullscreen"),
	QString("graphics684"),
	QString("vnc"),
	QString("autoport"),
	QString("websocket"),
	QString("listen"),
	QString("addrIPorName"),
	QString("sharePolicy"),
	QString("allow-exclusive"),
	QString("force-shared"),
	QString("variant693"),
	QString("variant694"),
	QString("choice695"),
	QString("passwd"),
	QString("keymap"),
	QString("passwdValidTo"),
	QString("connected"),
	QString("keep"),
	QString("listenElements"),
	QString("graphics702"),
	QString("spice"),
	QString("tlsPort"),
	QString("fail"),
	QString("disconnect"),
	QString("defaultMode"),
	QString("any"),
	QString("secure"),
	QString("insecure"),
	QString("channel"),
	QString("main"),
	QString("inputs"),
	QString("cursor"),
	QString("playback"),
	QString("record"),
	QString("smartcard"),
	QString("usbredir"),
	QString("image"),
	QString("compression"),
	QString("auto_glz"),
	QString("auto_lz"),
	QString("quic"),
	QString("glz"),
	QString("lz"),
	QString("jpeg"),
	QString("never"),
	QString("always"),
	QString("zlib"),
	QString("streaming"),
	QString("filter"),
	QString("all"),
	QString("clipboard"),
	QString("copypaste"),
	QString("mouse"),
	QString("filetransfer"),
	QString("graphics737"),
	QString("rdp"),
	QString("replaceUser"),
	QString("multiUser"),
	QString("graphics741"),
	QString("desktop"),
	QString("graphics743"),
	QString("listen744"),
	QString("listen745"),
	QString("video"),
	QString("vga"),
	QString("cirrus"),
	QString("vmvga"),
	QString("model750"),
	QString("qxl"),
	QString("model752"),
	QString("vram"),
	QString("primary"),
	QString("acceleration"),
	QString("accel3d"),
	QString("accel2d"),
	QString("on_reboot"),
	QString("offOptions"),
	QString("on_poweroff"),
	QString("on_crash"),
	QString("crashOptions"),
	QString("on_lockfailure"),
	QString("lockfailureOptions"),
	QString("destroy"),
	QString("restart"),
	QString("preserve"),
	QString("rename-restart"),
	QString("coredump-destroy"),
	QString("coredump-restart"),
	QString("poweroff"),
	QString("pause"),
	QString("suspend-to-mem"),
	QString("suspendChoices"),
	QString("suspend-to-disk"),
	QString("qemucdev"),
	QString("qemucdevSrcType"),
	QString("tty"),
	QString("qemucdevSrcDef"),
	QString("qemucdevTgtDef"),
	QString("qemucdevConsoleTgtType"),
	QString("sclp"),
	QString("sclplm"),
	QString("qemucdevSerialTgtType"),
	QString("isa-serial"),
	QString("usb-serial"),
	QString("variant787"),
	QString("variant788"),
	QString("choice789"),
	QString("qemucdevSrcTypeChoice"),
	QString("pipe"),
	QString("udp"),
	QString("null"),
	QString("stdio"),
	QString("vc"),
	QString("pty"),
	QString("spicevmc"),
	QString("spiceport"),
	QString("nmdm"),
	QString("usbdevfilter"),
	QString("usbdev"),
	QString("allow"),
	QString("class"),
	QString("usbClass"),
	QString("class805"),
	QString("usbIdDefault"),
	QString("class807"),
	QString("usbId"),
	QString("vendor809"),
	QString("vendor810"),
	QString("product811"),
	QString("product812"),
	QString("version"),
	QString("usbVersion"),
	QString("version815"),
	QString("version816"),
	QString("service"),
	QString("wiremode"),
	QString("master"),
	QString("slave"),
	QString("append"),
	QString("telnet"),
	QString("telnets"),
	QString("tls"),
	QString("console"),
	QString("console826"),
	QString("variant827"),
	QString("console828"),
	QString("codec"),
	QString("duplex"),
	QString("micro"),
	QString("sound"),
	QString("sb16"),
	QString("es1370"),
	QString("pcspk"),
	QString("ac97"),
	QString("ich6"),
	QString("ich9"),
	QString("variant839"),
	QString("watchdog"),
	QString("i6300esb"),
	QString("ib700"),
	QString("action"),
	QString("shutdown"),
	QString("dump"),
	QString("memballoon"),
	QString("autodeflate"),
	QString("stats"),
	QString("parallel"),
	QString("guestfwdTarget"),
	QString("guestfwd"),
	QString("virtioTarget"),
	QString("variant853"),
	QString("variant854"),
	QString("choice855"),
	QString("smartcard856"),
	QString("host-certificates"),
	QString("certificate"),
	QString("database"),
	QString("smartcard860"),
	QString("smartcard861"),
	QString("tpm"),
	QString("tpm-tis"),
	QString("tpm-backend"),
	QString("tpm-passthrough-device"),
	QString("backend866"),
	QString("input"),
	QString("tablet"),
	QString("keyboard"),
	QString("ps2"),
	QString("hub"),
	QString("redirdev"),
	QString("redirfilter"),
	QString("hostdevsubsys"),
	QString("variant875"),
	QString("hostdevcaps"),
	QString("variant877"),
	QString("choice878"),
	QString("subsystem"),
	QString("hostdevsubsyspci"),
	QString("hostdevsubsys881"),
	QString("hostdevsubsysusb"),
	QString("hostdevsubsys883"),
	QString("hostdevsubsysscsi"),
	QString("hostdevsubsys885"),
	QString("capabilities"),
	QString("hostdevcapsstorage"),
	QString("hostdevcaps888"),
	QString("hostdevcapsmisc"),
	QString("hostdevcaps890"),
	QString("hostdevcapsnet"),
	QString("hostdevcaps892"),
	QString("source893"),
	QString("source894"),
	QString("scsiaddress"),
	QString("source896"),
	QString("source897"),
	QString("storage"),
	QString("misc"),
	QString("char"),
	QString("net"),
	QString("driveBus"),
	QString("driveTarget"),
	QString("driveUnit"),
	QString("usbportaddress"),
	QString("spaprvioaddress"),
	QString("reg"),
	QString("spaprvioReg"),
	QString("ccwaddress"),
	QString("cssid"),
	QString("ccwCssidRange"),
	QString("ssid"),
	QString("ccwSsidRange"),
	QString("devno"),
	QString("ccwDevnoRange"),
	QString("driveaddress"),
	QString("driveController"),
	QString("virtioserialaddress"),
	QString("ccidaddress"),
	QString("dimmaddress"),
	QString("base"),
	QString("vmbusaddress"),
	QString("variant923"),
	QString("variant924"),
	QString("variant925"),
	QString("variant926"),
	QString("variant927"),
	QString("variant928"),
	QString("variant929"),
	QString("variant930"),
	QString("variant931"),
	QString("variant932"),
	QString("variant933"),
	QString("variant934"),
	QString("variant935"),
	QString("variant936"),
	QString("variant937"),
	QString("variant938"),
	QString("variant939"),
	QString("variant940"),
	QString("rng"),
	QString("variant942"),
	QString("variant943"),
	QString("memorydev"),
	QString("variant945"),
	QString("choice946"),
	QString("panic"),
	QString("pae"),
	QString("apic"),
	QString("eoi"),
	QString("acpi"),
	QString("hap"),
	QString("viridian"),
	QString("privnet"),
	QString("pvspinlock"),
	QString("featurestate"),
	QString("pmu"),
	QString("vmport"),
	QString("gic"),
	QString("cpuMode"),
	QString("cpuMatch"),
	QString("cpuModel"),
	QString("cpuVendor"),
	QString("cpuTopology"),
	QString("cpuFeature"),
	QString("cpuNuma"),
	QString("custom"),
	QString("host-model"),
	QString("host-passthrough"),
	QString("match"),
	QString("minimum"),
	QString("exact"),
	QString("fallback"),
	QString("forbid"),
	QString("vendor_id"),
	QString("model976"),
	QString("feature"),
	QString("policy"),
	QString("force"),
	QString("require"),
	QString("disable"),
	QString("featureName"),
	QString("topology"),
	QString("sockets"),
	QString("cores"),
	QString("numa"),
	QString("numaCell"),
	QString("cell"),
	QString("cpus"),
	QString("memoryKB"),
	QString("memAccess"),
	QString("shared"),
	QString("private"),
	QString("entry"),
	QString("sysinfo-bios-name"),
	QString("sysinfo-value"),
	QString("system"),
	QString("sysinfo-system-name"),
	QString("date"),
	QString("release"),
	QString("manufacturer"),
	QString("sku"),
	QString("useserial"),
	QString("rebootTimeout"),
	QString("rebootTimeoutDelay"),
	QString("address1006"),
	QString("drive"),
	QString("address1008"),
	QString("address1009"),
	QString("address1010"),
	QString("address1011"),
	QString("spapr-vio"),
	QString("address1013"),
	QString("ccw"),
	QString("address1015"),
	QString("isa"),
	QString("address1017"),
	QString("dimm"),
	QString("address1019"),
	QString("vmbus"),
	QString("address1021"),
	QString("bar"),
	QString("memorydev-source"),
	QString("memorydev-target"),
	QString("pagesize"),
	QString("nodemask"),
	QString("node"),
	QString("rng-backend"),
	QString("rng-rate"),
	QString("random"),
	QString("/dev/random"),
	QString("/dev/hwrng"),
	QString("choice1033"),
	QString("backend1034"),
	QString("egd"),
	QString("backend1036"),
	QString("rate"),
	QString("bytes"),
	QString("startport"),
	QString("parameter"),
	QString("filter-param-name"),
	QString("value"),
	QString("filter-param-value"),
	QString("mirror"),
	QString("job"),
	QString("copy"),
	QString("mirror1047"),
	QString("active-commit"),
	QString("mirror1049"),
	QString("ready"),
	QString("abort"),
	QString("pivot"),
	QString("auth"),
	QString("username"),
	QString("diskAuthSecret"),
	QString("ceph"),
	QString("secret1057"),
	QString("secret1058"),
	QString("iotune"),
	QString("total_bytes_sec"),
	QString("variant1061"),
	QString("variant1062"),
	QString("choice1063"),
	QString("total_iops_sec"),
	QString("variant1065"),
	QString("variant1066"),
	QString("choice1067"),
	QString("relaxed"),
	QString("vapic"),
	QString("spinlocks"),
	QString("retries"),
	QString("vpindex"),
	QString("runtime"),
	QString("synic"),
	QString("stimer"),
	QString("hidden"),
	QString("capabilitiespolicy"),
	QString("audit_control"),
	QString("audit_write"),
	QString("block_suspend"),
	QString("chown"),
	QString("dac_override"),
	QString("dac_read_search"),
	QString("fowner"),
	QString("fsetid"),
	QString("ipc_lock"),
	QString("ipc_owner"),
	QString("kill"),
	QString("linux_immutable"),
	QString("mac_admin"),
	QString("mac_override"),
	QString("mknod"),
	QString("net_admin"),
	QString("net_bind_service"),
	QString("net_broadcast"),
	QString("net_raw"),
	QString("setgid"),
	QString("setfcap"),
	QString("setpcap"),
	QString("setuid"),
	QString("sys_admin"),
	QString("sys_boot"),
	QString("sys_chroot"),
	QString("sys_module"),
	QString("sys_nice"),
	QString("sys_pacct"),
	QString("sys_ptrace"),
	QString("sys_rawio"),
	QString("sys_resource"),
	QString("sys_time"),
	QString("sys_tty_config"),
	QString("syslog"),
	QString("wake_alarm"),
	QString("deny"),
	QString("commandline"),
	QString("arg"),
	QString("env"),
	QString("http://libvirt.org/schemas/domain/qemu/1.0"),
	QString("metadata"),
	QString("customElement"),
	QString("variant1121"),
	QString("variant1122"),
	QString("variant1123"),
	QString("choice1124"),
	QString("aliasName"),
	QString("data1126"),
	QString("ccwCssidRange1127"),
	QString("data1128"),
	QString("ccwCssidRange1129"),
	QString("data1130"),
	QString("ccwCssidRange1131"),
	QString("data1132"),
	QString("ccwDevnoRange1133"),
	QString("data1134"),
	QString("ccwDevnoRange1135"),
	QString("rawio"),
	QString("memory1137"),
	QString("anonymous1138"),
	QString("anonymous1139"),
	QString("data1140"),
	QString("uint8range1141"),
	QString("data1142"),
	QString("uint8range1143"),
	QString("data1144"),
	QString("uint24range1145"),
	QString("data1146"),
	QString("uint24range1147"),
	QString("data1148"),
	QString("UUID1149"),
	QString("data1150"),
	QString("UUID1151"),
	QString("DUID1152"),
	QString("DUID1153"),
	QString("DUID1154"),
	QString("DUID1155"),
	QString("ipAddr1156"),
	QString("ipAddr1157"),
	QString("ipPrefix1158"),
	QString("ipPrefix1159"),
	QString("variant1160"),
	QString("variant1161"),
	QString("choice1162"),
	QString("adapter1163"),
	QString("adapter1164"),
	QString("virtualPortProfile1165"),
	QString("virtualPortProfile1166"),
	QString("virtualPortProfile1167"),
	QString("virtualPortProfile1168"),
	QString("connections"),
	QString("ipv6"),
	QString("stp"),
	QString("forward"),
	QString("nat"),
	QString("route"),
	QString("vepa"),
	QString("variant1176"),
	QString("variant1177"),
	QString("choice1178"),
	QString("pf"),
	QString("end"),
	QString("dns"),
	QString("forwardPlainNames"),
	QString("forwarder"),
	QString("addr"),
	QString("txt"),
	QString("srv"),
	QString("priority"),
	QString("hostname"),
	QString("netmask"),
	QString("variant1190"),
	QString("variant1191"),
	QString("choice1192"),
	QString("dhcp"),
	QString("range"),
	QString("variant1195"),
	QString("variant1196"),
	QString("choice1197"),
	QString("host1198"),
	QString("host1199"),
	QString("bootp"),
	QString("variant1201"),
	QString("variant1202"),
	QString("choice1203"),
	QString("gateway"),
	QString("metric"),
	QString("anonymous1206"),
	QString("ethernet-interface"),
	QString("variant1208"),
	QString("bridge-interface"),
	QString("variant1210"),
	QString("bond-interface"),
	QString("variant1212"),
	QString("vlan-interface"),
	QString("variant1214"),
	QString("choice1215"),
	QString("data1216"),
	QString("uint8range1217"),
	QString("data1218"),
	QString("uint8range1219"),
	QString("data1220"),
	QString("uint24range1221"),
	QString("data1222"),
	QString("uint24range1223"),
	QString("data1224"),
	QString("UUID1225"),
	QString("data1226"),
	QString("UUID1227"),
	QString("DUID1228"),
	QString("DUID1229"),
	QString("DUID1230"),
	QString("DUID1231"),
	QString("ipAddr1232"),
	QString("ipAddr1233"),
	QString("ipPrefix1234"),
	QString("ipPrefix1235"),
	QString("variant1236"),
	QString("variant1237"),
	QString("choice1238"),
	QString("adapter1239"),
	QString("adapter1240"),
	QString("basic-ethernet-content"),
	QString("name-attr"),
	QString("bare-ethernet-interface"),
	QString("startmode"),
	QString("mtu"),
	QString("interface-addressing"),
	QString("vlan-interface-common"),
	QString("vlan-device"),
	QString("vlan-id"),
	QString("bare-vlan-interface"),
	QString("timeval"),
	QString("variant1252"),
	QString("variant1253"),
	QString("bare-bond-interface"),
	QString("variant1255"),
	QString("choice1256"),
	QString("bond-interface-common"),
	QString("bond"),
	QString("bond-element"),
	QString("balance-rr"),
	QString("active-backup"),
	QString("balance-xor"),
	QString("broadcast"),
	QString("802.3ad"),
	QString("balance-tlb"),
	QString("balance-alb"),
	QString("miimon"),
	QString("freq"),
	QString("downdelay"),
	QString("updelay"),
	QString("carrier"),
	QString("ioctl"),
	QString("netif"),
	QString("variant1274"),
	QString("arpmon"),
	QString("interval"),
	QString("validate"),
	QString("active"),
	QString("backup"),
	QString("variant1280"),
	QString("choice1281"),
	QString("onboot"),
	QString("hotplug"),
	QString("protocol-ipv4"),
	QString("protocol-ipv6"),
	QString("interface-addressing1286"),
	QString("interface-addressing1287"),
	QString("ipv4"),
	QString("dhcp-element"),
	QString("variant1290"),
	QString("variant1291"),
	QString("choice1292"),
	QString("autoconf"),
	QString("peerdns"),
	QString("domainsnapshot"),
	QString("data1296"),
	QString("uint8range1297"),
	QString("data1298"),
	QString("uint8range1299"),
	QString("data1300"),
	QString("uint24range1301"),
	QString("data1302"),
	QString("uint24range1303"),
	QString("data1304"),
	QString("UUID1305"),
	QString("data1306"),
	QString("UUID1307"),
	QString("DUID1308"),
	QString("DUID1309"),
	QString("DUID1310"),
	QString("DUID1311"),
	QString("ipAddr1312"),
	QString("ipAddr1313"),
	QString("ipPrefix1314"),
	QString("ipPrefix1315"),
	QString("variant1316"),
	QString("variant1317"),
	QString("choice1318"),
	QString("adapter1319"),
	QString("adapter1320"),
	QString("storageFormat1321"),
	QString("virtualPortProfile1322"),
	QString("virtualPortProfile1323"),
	QString("virtualPortProfile1324"),
	QString("virtualPortProfile1325"),
	QString("seclabel1326"),
	QString("seclabel1327"),
	QString("seclabel1328"),
	QString("seclabel1329"),
	QString("seclabel1330"),
	QString("seclabel1331"),
	QString("os1332"),
	QString("os1333"),
	QString("os1334"),
	QString("osxen1335"),
	QString("osxen1336"),
	QString("variant1337"),
	QString("variant1338"),
	QString("variant1339"),
	QString("variant1340"),
	QString("variant1341"),
	QString("variant1342"),
	QString("variant1343"),
	QString("variant1344"),
	QString("choice1345"),
	QString("memory1346"),
	QString("memory1347"),
	QString("adjustment1348"),
	QString("clock1349"),
	QString("clock1350"),
	QString("clock1351"),
	QString("timer1352"),
	QString("timer1353"),
	QString("timer1354"),
	QString("timer1355"),
	QString("tickpolicy1356"),
	QString("tickpolicy1357"),
	QString("bootloader1358"),
	QString("disk1359"),
	QString("disk1360"),
	QString("diskBackingChain1361"),
	QString("diskBackingChain1362"),
	QString("diskSource1363"),
	QString("diskSource1364"),
	QString("diskSource1365"),
	QString("diskSource1366"),
	QString("diskSource1367"),
	QString("name1368"),
	QString("name1369"),
	QString("host1370"),
	QString("host1371"),
	QString("type1372"),
	QString("variant1373"),
	QString("variant1374"),
	QString("variant1375"),
	QString("variant1376"),
	QString("variant1377"),
	QString("choice1378"),
	QString("variant1379"),
	QString("variant1380"),
	QString("choice1381"),
	QString("filesystem1382"),
	QString("filesystem1383"),
	QString("filesystem1384"),
	QString("filesystem1385"),
	QString("filesystem1386"),
	QString("filesystem1387"),
	QString("interface1388"),
	QString("interface1389"),
	QString("interface1390"),
	QString("interface1391"),
	QString("interface1392"),
	QString("interface1393"),
	QString("interface1394"),
	QString("interface1395"),
	QString("interface1396"),
	QString("source1397"),
	QString("address1398"),
	QString("address1399"),
	QString("source1400"),
	QString("interface1401"),
	QString("driver1402"),
	QString("driver1403"),
	QString("graphics1404"),
	QString("variant1405"),
	QString("variant1406"),
	QString("choice1407"),
	QString("graphics1408"),
	QString("graphics1409"),
	QString("graphics1410"),
	QString("graphics1411"),
	QString("listen1412"),
	QString("listen1413"),
	QString("model1414"),
	QString("model1415"),
	QString("variant1416"),
	QString("variant1417"),
	QString("choice1418"),
	QString("class1419"),
	QString("class1420"),
	QString("vendor1421"),
	QString("vendor1422"),
	QString("product1423"),
	QString("product1424"),
	QString("version1425"),
	QString("version1426"),
	QString("console1427"),
	QString("variant1428"),
	QString("console1429"),
	QString("variant1430"),
	QString("variant1431"),
	QString("variant1432"),
	QString("choice1433"),
	QString("smartcard1434"),
	QString("smartcard1435"),
	QString("smartcard1436"),
	QString("backend1437"),
	QString("variant1438"),
	QString("variant1439"),
	QString("choice1440"),
	QString("hostdevsubsys1441"),
	QString("hostdevsubsys1442"),
	QString("hostdevsubsys1443"),
	QString("hostdevcaps1444"),
	QString("hostdevcaps1445"),
	QString("hostdevcaps1446"),
	QString("source1447"),
	QString("source1448"),
	QString("source1449"),
	QString("source1450"),
	QString("variant1451"),
	QString("variant1452"),
	QString("variant1453"),
	QString("variant1454"),
	QString("variant1455"),
	QString("variant1456"),
	QString("variant1457"),
	QString("variant1458"),
	QString("variant1459"),
	QString("variant1460"),
	QString("variant1461"),
	QString("variant1462"),
	QString("variant1463"),
	QString("variant1464"),
	QString("variant1465"),
	QString("variant1466"),
	QString("variant1467"),
	QString("variant1468"),
	QString("variant1469"),
	QString("variant1470"),
	QString("variant1471"),
	QString("choice1472"),
	QString("model1473"),
	QString("address1474"),
	QString("address1475"),
	QString("address1476"),
	QString("address1477"),
	QString("address1478"),
	QString("address1479"),
	QString("address1480"),
	QString("address1481"),
	QString("address1482"),
	QString("address1483"),
	QString("choice1484"),
	QString("backend1485"),
	QString("backend1486"),
	QString("mirror1487"),
	QString("mirror1488"),
	QString("secret1489"),
	QString("secret1490"),
	QString("variant1491"),
	QString("variant1492"),
	QString("choice1493"),
	QString("variant1494"),
	QString("variant1495"),
	QString("choice1496"),
	QString("variant1497"),
	QString("variant1498"),
	QString("variant1499"),
	QString("choice1500"),
	QString("data1501"),
	QString("ccwCssidRange1502"),
	QString("data1503"),
	QString("ccwCssidRange1504"),
	QString("data1505"),
	QString("ccwCssidRange1506"),
	QString("data1507"),
	QString("ccwDevnoRange1508"),
	QString("data1509"),
	QString("ccwDevnoRange1510"),
	QString("creationTime"),
	QString("memory1512"),
	QString("memory1513"),
	QString("disks"),
	QString("disksnapshot"),
	QString("0"),
	QString("1"),
	QString("variant1518"),
	QString("data1519"),
	QString("uint8range1520"),
	QString("data1521"),
	QString("uint8range1522"),
	QString("data1523"),
	QString("uint24range1524"),
	QString("data1525"),
	QString("uint24range1526"),
	QString("data1527"),
	QString("UUID1528"),
	QString("data1529"),
	QString("UUID1530"),
	QString("DUID1531"),
	QString("DUID1532"),
	QString("DUID1533"),
	QString("DUID1534"),
	QString("ipAddr1535"),
	QString("ipAddr1536"),
	QString("ipPrefix1537"),
	QString("ipPrefix1538"),
	QString("variant1539"),
	QString("variant1540"),
	QString("choice1541"),
	QString("adapter1542"),
	QString("adapter1543"),
	QString("storageFormat1544"),
	QString("virtualPortProfile1545"),
	QString("virtualPortProfile1546"),
	QString("virtualPortProfile1547"),
	QString("virtualPortProfile1548"),
	QString("seclabel1549"),
	QString("seclabel1550"),
	QString("seclabel1551"),
	QString("seclabel1552"),
	QString("seclabel1553"),
	QString("seclabel1554"),
	QString("os1555"),
	QString("os1556"),
	QString("os1557"),
	QString("osxen1558"),
	QString("osxen1559"),
	QString("variant1560"),
	QString("variant1561"),
	QString("variant1562"),
	QString("variant1563"),
	QString("variant1564"),
	QString("variant1565"),
	QString("variant1566"),
	QString("variant1567"),
	QString("choice1568"),
	QString("memory1569"),
	QString("memory1570"),
	QString("adjustment1571"),
	QString("clock1572"),
	QString("clock1573"),
	QString("clock1574"),
	QString("timer1575"),
	QString("timer1576"),
	QString("timer1577"),
	QString("timer1578"),
	QString("tickpolicy1579"),
	QString("tickpolicy1580"),
	QString("bootloader1581"),
	QString("disk1582"),
	QString("disk1583"),
	QString("diskBackingChain1584"),
	QString("diskBackingChain1585"),
	QString("diskSource1586"),
	QString("diskSource1587"),
	QString("diskSource1588"),
	QString("diskSource1589"),
	QString("diskSource1590"),
	QString("name1591"),
	QString("name1592"),
	QString("host1593"),
	QString("host1594"),
	QString("type1595"),
	QString("variant1596"),
	QString("variant1597"),
	QString("variant1598"),
	QString("variant1599"),
	QString("variant1600"),
	QString("choice1601"),
	QString("variant1602"),
	QString("variant1603"),
	QString("choice1604"),
	QString("filesystem1605"),
	QString("filesystem1606"),
	QString("filesystem1607"),
	QString("filesystem1608"),
	QString("filesystem1609"),
	QString("filesystem1610"),
	QString("interface1611"),
	QString("interface1612"),
	QString("interface1613"),
	QString("interface1614"),
	QString("interface1615"),
	QString("interface1616"),
	QString("interface1617"),
	QString("interface1618"),
	QString("interface1619"),
	QString("source1620"),
	QString("address1621"),
	QString("address1622"),
	QString("source1623"),
	QString("interface1624"),
	QString("driver1625"),
	QString("driver1626"),
	QString("graphics1627"),
	QString("variant1628"),
	QString("variant1629"),
	QString("choice1630"),
	QString("graphics1631"),
	QString("graphics1632"),
	QString("graphics1633"),
	QString("graphics1634"),
	QString("listen1635"),
	QString("listen1636"),
	QString("model1637"),
	QString("model1638"),
	QString("variant1639"),
	QString("variant1640"),
	QString("choice1641"),
	QString("class1642"),
	QString("class1643"),
	QString("vendor1644"),
	QString("vendor1645"),
	QString("product1646"),
	QString("product1647"),
	QString("version1648"),
	QString("version1649"),
	QString("console1650"),
	QString("variant1651"),
	QString("console1652"),
	QString("variant1653"),
	QString("variant1654"),
	QString("variant1655"),
	QString("choice1656"),
	QString("smartcard1657"),
	QString("smartcard1658"),
	QString("smartcard1659"),
	QString("backend1660"),
	QString("variant1661"),
	QString("variant1662"),
	QString("choice1663"),
	QString("hostdevsubsys1664"),
	QString("hostdevsubsys1665"),
	QString("hostdevsubsys1666"),
	QString("hostdevcaps1667"),
	QString("hostdevcaps1668"),
	QString("hostdevcaps1669"),
	QString("source1670"),
	QString("source1671"),
	QString("source1672"),
	QString("source1673"),
	QString("variant1674"),
	QString("variant1675"),
	QString("variant1676"),
	QString("variant1677"),
	QString("variant1678"),
	QString("variant1679"),
	QString("variant1680"),
	QString("variant1681"),
	QString("variant1682"),
	QString("variant1683"),
	QString("variant1684"),
	QString("variant1685"),
	QString("variant1686"),
	QString("variant1687"),
	QString("variant1688"),
	QString("variant1689"),
	QString("variant1690"),
	QString("variant1691"),
	QString("variant1692"),
	QString("variant1693"),
	QString("variant1694"),
	QString("choice1695"),
	QString("model1696"),
	QString("address1697"),
	QString("address1698"),
	QString("address1699"),
	QString("address1700"),
	QString("address1701"),
	QString("address1702"),
	QString("address1703"),
	QString("address1704"),
	QString("address1705"),
	QString("address1706"),
	QString("choice1707"),
	QString("backend1708"),
	QString("backend1709"),
	QString("mirror1710"),
	QString("mirror1711"),
	QString("secret1712"),
	QString("secret1713"),
	QString("variant1714"),
	QString("variant1715"),
	QString("choice1716"),
	QString("variant1717"),
	QString("variant1718"),
	QString("choice1719"),
	QString("variant1720"),
	QString("variant1721"),
	QString("variant1722"),
	QString("choice1723"),
	QString("data1724"),
	QString("ccwCssidRange1725"),
	QString("data1726"),
	QString("ccwCssidRange1727"),
	QString("data1728"),
	QString("ccwCssidRange1729"),
	QString("data1730"),
	QString("ccwDevnoRange1731"),
	QString("data1732"),
	QString("ccwDevnoRange1733"),
	QString("choice1734"),
	QString("nostate"),
	QString("running"),
	QString("blocked"),
	QString("paused"),
	QString("shutoff"),
	QString("crashed"),
	QString("disk-snapshot"),
	QString("disksnapshotdriver"),
	QString("name1743"),
	QString("name1744"),
	QString("disk1745"),
	QString("disk1746"),
	QString("variant1747"),
	QString("variant1748"),
	QString("variant1749"),
	QString("choice1750"),
	QString("disk1751"),
	QString("disk1752"),
	QString("disk1753"),
	QString("data1754"),
	QString("uint8range1755"),
	QString("data1756"),
	QString("uint8range1757"),
	QString("data1758"),
	QString("uint24range1759"),
	QString("data1760"),
	QString("uint24range1761"),
	QString("data1762"),
	QString("UUID1763"),
	QString("data1764"),
	QString("UUID1765"),
	QString("DUID1766"),
	QString("DUID1767"),
	QString("DUID1768"),
	QString("DUID1769"),
	QString("ipAddr1770"),
	QString("ipAddr1771"),
	QString("ipPrefix1772"),
	QString("ipPrefix1773"),
	QString("variant1774"),
	QString("variant1775"),
	QString("choice1776"),
	QString("adapter1777"),
	QString("adapter1778"),
	QString("hostcaps"),
	QString("guestcaps"),
	QString("cpufeatures"),
	QString("cpuspec"),
	QString("power_management"),
	QString("migration"),
	QString("secmodel"),
	QString("doi"),
	QString("nonpae"),
	QString("vmx"),
	QString("svm"),
	QString("pagesElem"),
	QString("suspend_mem"),
	QString("suspend_disk"),
	QString("suspend_hybrid"),
	QString("migration_features"),
	QString("live"),
	QString("uri_transports"),
	QString("uri_transport"),
	QString("esx"),
	QString("xenmigr"),
	QString("cells"),
	QString("num"),
	QString("distances"),
	QString("sibling"),
	QString("socket_id"),
	QString("core_id"),
	QString("siblings"),
	QString("ostype"),
	QString("os_type"),
	QString("wordsize"),
	QString("31"),
	QString("32"),
	QString("64"),
	QString("canonical"),
	QString("maxCpus"),
	QString("ia64_be"),
	QString("featuretoggle"),
	QString("cpuselection"),
	QString("deviceboot"),
	QString("toggle"),
	QString("pages"),
	QString("anonymous1821")
};

const QString& getText(quint32 index_)
{
	return g_text[index_ - 1];
}
